/* ##### STYLE FOR PATCH ITEM ###### */

@import "../variables";

.patch {
	width: 100%;
	height: 70px;
	display: flex;
	position: relative;
	box-shadow: $drop_shadow;
	opacity: 0;
	animation: show-up 600ms forwards ease-out;

	.status {
		position: relative;
		width: 150px;
		color: white;
		font-size: 1.2em;

		> span {
			position: absolute;
			top: 50%;
			transform: translateY(-50%);
			width: 100%;
			text-align: center;
		}

		&.new {
			background: #CCCCCC;
		}
		&.waiting {
			background: #CCCCCC;
		}
		&.running {
			background: $aqua_vitale;
		}
		&.success {
			background: $wide_ocean;
		}
		&.error {
			background: $blood_burst;
		}
		&.canceled {
			background: #CCCCCC;
		}
		&.archived {
			background: $wide_ocean;
		}
	} // end status

	.content {
		width: inherit;
		margin-left: 20px;
		margin-right: 90px;

		> div > div {
			position: relative;

			span {
				position: absolute;
				top: 50%;
				transform: translateY(-50%);
				width: 100%;
			} // end content span
		} // end content div

		.left {
			float: left;
			display: flex;
			height: 100%;

			> div {
				margin-right: 20px;

				span {
					text-align: left;
				} // end span
			} // end content div left
		} // end left

		.right {
			float: right;
			display: flex;
			flex-wrap: wrap-reverse;
			height: 100%;

			> div {
				margin-left: 20px;

				span {
					text-align: right;
				} //  end span
			} // end content div right
		} // end right

		.code {
			width: 180px;
			font-size: 1.2em;
		} // end code

		.name {
			width: 180px;
		} // end name

		.details {
			width: 200px;
			color: $gray;

			.show-errors {
				text-decoration: underline;
				line-height: 2;
				color: $deep_midnight;
			}
		} // end details
	} // end content

	.action {
		position: absolute;
		right: 0;
		width: 70px;
		height: 70px;

		a {
			width: 100%;
			height: 100%;
			margin: 0;
			padding: 0;

			svg {
				position: absolute;
				top: 50%;
				transform: translateY(-50%);
				width: 100%;
				height: 26px;
			} // end svg

			&.btn-loading {
				min-width: auto;

				.text {
					display: inline;
				}

				.loader {
					position: absolute;
					top: 50%;
					left: 50%;
					transform: translate(-50%, -50%);
				}
			} // end overwrite loading btn styles
		} // end link
	} // end action
} // end patch


@media (max-width: $mobile-bp) {
	.patch {
		height: 80px;

		.content {
			width: fit-content;
			height: 100%;
			margin: 0;

			.left {
				width: 100%;
				height: calc(100% - 15px);
				position: absolute;
				left: 0;
				top: 15px;
				flex-wrap: wrap;

				> div {
					margin: 0;

					span {
						margin-left: 10px;
						white-space: nowrap;
					}
				}

				.code {
					width: 100%;
					height: 50%;

					span {
						position: absolute;
						bottom: 0;
						font-size: 0.9em;
					}
				} // end code

				.name {
					width: calc(100% - 190px);
					height: 50%;
					overflow: hidden;

					span {
						position: absolute;
						top: 9px;
						font-size: 0.8em;
					}
				} // end name
			} // end left

			.right {
				width: 50%;
				height: calc(100% - 15px);
				position: absolute;
				right: 0;
				top: 15px;
				flex-wrap: wrap;

				.details {
					position: absolute;
					bottom: 0;
					right: 70px;
					height: 50%;
					margin-right: 6px;
					margin-left: 0;
					font-size: 0.7em;
					width: 135px;

					span {
						position: absolute;
						top: 9px;
					}
				}
			} // end right
		} // end content

		.status {
			display: block;
			width: 100%;
			height: 15px;
			z-index: 200;
			box-shadow: $drop_shadow-down;

			span {
				display: inline-block;
				width: auto;
				position: absolute;
				top: 35px;
				right: 76px;
				text-align: right;
				font-size: 0.7em;
				color: $deep_midnight;
			}
		} // end status

		.code {
			display: block;
		} // end code

		.action {
			display: block;
			height: 65px;
			top: 15px;

			.btn {
				box-shadow: none;
				box-sizing: border-box;
				border-left: 1px solid $light_gray;

				svg {
					height: 20px;
				}
			}
		} // end action
	} // end patch
} // end mobile

@keyframes show-up {
	0% 	 {opacity: 0; transform: translateY(-30px);}
	100% {opacity: 1; transform: translateY(0);}
}
